Page MenuHome

[Crash] Cycles: Split kernel error: failed to load kernel_path_init / kernel_indirect_background
Closed, DuplicatePublic

Description

System Information
Operating system: Windows 10
Graphics card: Radeon RX 570 Series

Blender Version
2.91.0, branch: master, commit date: 2020-11-25 08:34, hash: 0f45cab862b8, type: Release

Short description of error
Split kernel error: failed to load kernel_path_init or kernel_indirect_background when switching to Cycles and selecting GPU Compute
Then can freeze and crash

Exact steps for others to reproduce the error
Based on the default startup
Render tab => Render Engine: Cycles => Device: GPU Compute
Viewport Shading: Rendered

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Lingfox (Lingfox) added a comment.EditedDec 22 2020, 5:04 PM

Same issue here, using RX 5700 XT.
CPU does work with cycles, however.

Similar issue. I just updated to 20.12.1 and after months my GPU started working in blender. Its an i3 laptop with only 4gb ram with a not so great GPU (Radeon R7 M360). So when something doesn't work I usually think it's the hardware. (Ps, Cycles is still awesome and renders with i3)

But GPU is finally working now. The kernels loaded after waiting a long time and it rendered with GPU in viewport with cycles. But F12 render crashed the first time and second time it showed split kernel error, kernel-subsurface scattering.

Not sure if this is related to GPU or my specs but I'm just happy it's working at least in viewport since my CPU and RAM is slowly dying.

Also, if it has to load kernels every time, then why does it say, it might take some minutes the "first time"?

I'm also not able to use cycles on GPU. Windows 10 - AMD Vega64. I also get split kernel error with 20.11.2 (stable) and 20.12.1 (optional) drivers.

Edit1: Just tried Pro drivers (20.1027) .. and it didn't work either.

Edit2: Just tried 20.9.1 and facing same problem.

Edit3: 20.8.3 doesn't work inside Blender 2.92 .. but works! in 2.83.9

Edit 4: 20.11.1 works in 2.92 (takes longer than usual to load) and 2.83.9(loads instantly)

Dathan (95pixels) added a comment.EditedDec 25 2020, 10:22 PM

So I rendered the default cube with a material applied to it. This is the result in 2.83

  1. Cycles in viewport is perfectly working in GPU compute mode
  2. Cycles rendering is working in GPU compute and loading kernels is only slow the first time
  3. Eevee is not working
  4. Material preview is not working

I thought I messed up Eevee settings so I reset preferences and loaded factory settings. Eevee is still not working.

Edit for 2.83 and amd 20.12.1: Apparently Eevee is working when high quality normals is turned on. Also Cycles is totally working with a simple colored default cube. Split kernel error is coming up only in more complex scenes

Evan Wilson (EAW) changed the task status from Needs Information from User to Confirmed.Dec 25 2020, 11:35 PM

same issue here, i tried to run cycles on driver 20.4 and it's still crash

I'm having the same problems with my RX 580 and driver version 20.12.1. Although the viewport doesn't work and leads to crashes, rendering an image with the GPU surprisingly works but I'm experiencing some graphical glitches:

I have this problem, my GPU is an AMD r7 360
I was using the driver version 20.11.3 but i had some issue with the viewport so i started using the 20.9.1 but i cant render with the gpu now (im in blender 2.91).
Has anyone fixed this?

Having the same problem with my rx580 xfx version, i'm reverting drivers so hopefully an update soon

Edit: Working with driver 20.11.1, works with cycles radeon prorender and eevee

I have the same problem on my RX 570 Sapphire Nitro+, but cycles works on 2.91 but eevee doesn't work, and on 2.92 it's the other way round - eevee works, but cycles doesn't work. CPU Cycles works in both of the versions, and messing about with the drivers doesn't help.

I am having these problems too. Rolling back to blender 2.9.0 was the only thing that fixed it for me. I hope they work it out for next version. I have a RX 550.

Hello.
Now with Adrenalin 2020 Edition 21.2.2 driver 95% of the bugs has been fixed!
I tested the new driver with an Rx 470 4GB and it worked really well.
How to install it:
-Search on internet "Adrenalin 2020 Edition 21.2.2 driver" and download it.
-Until you install the new driver you have to download AMD Cleanup Utility (You have to delete all the files from current driver)
-Run AMD Cleanup Utility and delete your current driver.
-Install your new 21.2.2 Driver and restart your PC.
-Go in C:\Users\Caesar\AppData\Roaming\Blender Foundation\Blender
-Select your Blender Version ( 2.81 / 2.90 / 2.91) > cache > DELETE kernels folder

-Open Blender > Edit >Preferences > System > SELECT Open CL
-Go in Render and activate Cycles for GPU Compute
-Now your Blender will freeze until the kernels are loaded.
-Now press F12 to run a Render, your Blender will freeze again until the kernels are loaded.

So, that's it, maybe the kernels will load again sometimes, but will be faster.
I hope I helped you and you understand my English and the steps you followed.

Hello. I encounter this problem too and i realized that going to isolated view of any object with "/" then enter viewport render and then pressing "/" again solved it for me, though it crashed if i go back to solid mode and then enter viewport render without doing the steps i mentioned before.
This was in a rx 5700xt with drivers 20.11.2 in blender 2.91 by the way. hope it helps someone.

messing with the drivers and settings didn't helped either, i got the "Split kernel error: failed to load kernel_indirect_background" error while loading the default scene with cycles with the GPU only, usually followed by blender hanging forever until I close it with task manager. It was working on 2.91.2, though.
Also, CPU rendering seems to work at least.

GPU: Sapphire pulse AMD Radeon 5700 XT;
CPU: AMD Ryzen 7 2700X;
Blender version: 2.92.0;

I had the same problem. These steps helped me:
Increasing TDR

Lingfox (Lingfox) added a comment.EditedMar 11 2021, 1:53 PM

turns out Radeon cards use a separate engine, similar to cycles, but not an exact copy called "Radeon ProRender". I'm going to test it out and edit this comment if it fixes the errors.
edit: it did not.

Also tried that TDR Increase, but it did nothing.

I had the same problem. These steps helped me:
Increasing TDR

This solved it for me with Radeon 21.2.3, RX580. However I've yet to notice significant improvement in speed with this card or with Vega56, compared to CPU Ryzen 7 2700.

I had the same problem. These steps helped me:
Increasing TDR

This solved it for me with Radeon 21.2.3, RX580. However I've yet to notice significant improvement in speed with this card or with Vega56, compared to CPU Ryzen 7 2700.

Try to add an volume, like Absorption or Scatter with Roughness 0. I have an Rx 470 4Gb I get freeze at the first frame.

Try to add an volume, like Absorption or Scatter with Roughness 0. I have an Rx 470 4Gb I get freeze at the first frame.

I'm able to edit materials and play with lighting, but getting system freeze and green screens immediately after splitting an area in cycles GPU render.

Try to add an volume, like Absorption or Scatter with Roughness 0. I have an Rx 470 4Gb I get freeze at the first frame.

I'm able to edit materials and play with lighting, but getting system freeze and green screens immediately after splitting an area in cycles GPU render.

Same, but if I make a project works really well when I render it, volumes crash in viewport, but not in render mode.

Same problem here with rx580, blender 2.92. At the older versions it only crashed when I added volume, now doesn't works with anything.

https://docs.substance3d.com/spdoc/gpu-drivers-crash-with-long-computations-128745489.html
this fixed for me, once the viewport makes a bug and stops at 1 samples, looking like the render dead again, but if you turn the camera and wait a bit, cycles will render out all the viewport samples

F12 works for me, but not rendered viewport. Using the Adrenalin 2020 Edition 21.2.2 driver. On several blender versions from 2.82, to 2.93.

Same on R9 390 (gigabyte) F12 works, but viewport still not working, AMD can't make it work since few months...

Just updated my RX 5600 XT drivers to 21.3.1 and I'm on Blender 2.92.0, I get the split kernel error in the view port and "OpenCL error (-52): CL_INVALID_KERNEL_ARGS in clEnqueueNDRangeKernel" when rendering.

Just tried, after updating to 21.3.1 with Blender 2.92.0 to render some projects of mine in the viewport, but the same error as always with the gpu selected using cycles, indirect_background, but i tried rendering with F12 and it worked, without any kind of problem.
Isn't this really a problem occuring since a while? I thought this would be some quick temporary problem

I'm having this issue with 2.92 but not 2.91. 5700xt Driver Version 20.45.01.18-201113a-361132C-RadeonSoftwareAdrenalin2020
There seems to be many issues with AMD cards/drivers. For example, doing an AO bake using GPU compute results in an extremely noisy bake covered in black pixels, and it ignores sample count.

I'm facing this problem too
Has anyone fixed this problem yet?
Blender 2.92 with rx 590 21.3.1 driver

Ok so I've been diving deep into every thread I can find on this issue trying to get my 5700xt to work with blender rendering and I finally got it to work with rendering, but not in the viewport ( which honestly I can live with because the render speed is much faster) thanks to the method (Caesar17) posted in another thread.

So I hope my suggestion works for those who also have the 5700xt or similar cards that aren't working.

First you're gonna want to uninstall blender, then delete the blender foundation folder located in C:\Users\you\AppData\Roaming

Download and install blender 2.9.1 ( only version I found to work without freezing )

Before you launch blender run amd cleanup utility ( just google it ) to uninstall all graphics drivers you may have.

After reboot, google Adrenalin 2020 Edition 21.2.2 driver ( make sure its 21.2.2, others may work but this version is the only one that worked for me)

Install 21.2.2 drivers and reboot.

Launch blender, go to your settings and check to make sure your GPU is the only thing checked in OpenCL.

Still gives the kernel error: indirect background but works fine in actual render with much faster rendering speeds.

Sorry if this doesn't help anyone but I'm just glad I finally got my gpu to work in blender without it crashing and wanted to share in hopes that it might help.

Ok so I've been diving deep into every thread I can find on this issue trying to get my 5700xt to work with blender rendering and I finally got it to work with rendering, but not in the viewport ( which honestly I can live with because the render speed is much faster) thanks to the method (Caesar17) posted in another thread.

So I hope my suggestion works for those who also have the 5700xt or similar cards that aren't working.

First you're gonna want to uninstall blender, then delete the blender foundation folder located in C:\Users\you\AppData\Roaming

Download and install blender 2.9.1 ( only version I found to work without freezing )

Before you launch blender run amd cleanup utility ( just google it ) to uninstall all graphics drivers you may have.

After reboot, google Adrenalin 2020 Edition 21.2.2 driver ( make sure its 21.2.2, others may work but this version is the only one that worked for me)

Install 21.2.2 drivers and reboot.

Launch blender, go to your settings and check to make sure your GPU is the only thing checked in OpenCL.

Still gives the kernel error: indirect background but works fine in actual render with much faster rendering speeds.

Sorry if this doesn't help anyone but I'm just glad I finally got my gpu to work in blender without it crashing and wanted to share in hopes that it might help.

Thanks for the fast response
I've tried blender 2.91,2.92 & 2.93
All of them have the same problem
Except 2.90
I don't know how fast is 2.92 in render
But since 2.90 is working I'll stick with it for now
Just needed eevee object motion blur for my next project
Also need cycles
So,,,
Just hope dev team fix this problem asap

Exactly same here, RX 570 (with latest recommended driver version).
I'm using the latest Blender, 2.92.0. The Blenders literally killed the AMD graphics cards support.

It's not a problem with the drivers, because the Blender works fine before 2.90 with the same drivers.

No way! what is this!
Cycles is working in Blender 2.90, but didn't notice that Eevee is broken completely, Doesn't work in Viewport also in actual render it doesn't work at all
what AMD user is suppose to do now?

No way! what is this!
Cycles is working in Blender 2.90, but didn't notice that Eevee is broken completely, Doesn't work in Viewport also in actual render it doesn't work at all
what AMD user is suppose to do now?

Actually just tested out my eevee and it works fine, also my viewport is working for cycles now as well using gpu. Follow what I said and see if you can get the same results.

I don't understand why the adm set this thread as duplicated. The problem is not solved, What's the main thread to follow this problem?.

MD Utsho (MDutsho) added a comment.EditedMar 25 2021, 7:47 PM

Looks like AMD Cards has Radeon™ Pro Software for Enterprise
has anyone tried this one yet?
same problem with this one too or not?

Looks like AMD Cards has Radeon™ Pro Software for Enterprise
has anyone tried this one yet?
same problem with this one too or not?

I tried it not so long ago, i experienced some glitches tho occasionally but at least it works quite well

Looks like AMD Cards has Radeon™ Pro Software for Enterprise
has anyone tried this one yet?
same problem with this one too or not?

I tried it not so long ago, i experienced some glitches tho occasionally but at least it works quite well

Yeah i just did, But no luck. also AMD's new driver has problem, It's freezing whole PC when driver is crashing for no reason, Using 20.4.1 for now, and yeah random freezing is gone but still same with blender

I had the same problem. These steps helped me:
Increasing TDR

This worked for me on 21.3.1 (Pro Drivers) .. both in viewport and final render .. for default cube scene (without any issues) on 2.93

I'm gonna try a complex scene later when I have time, and edit back here

I install the driver Radeon 21.3.1, and the problem still on 2.92.0

Marc C (Maerc) added a subscriber: Marc C (Maerc).EditedApr 1 2021, 8:27 PM

Rendering works just fine in cycles for me. But going to rendered view in the viewport gives me

Split kernel error: failed to load kernel_path_init or kernel_indirect_background

Using a Radeon RX 570, driver version 21.3.2 on Blender 2.92.0

Hope this helps you guys... After multiple test downloads, I found that you get the GPU error when you download through the installer, a "fix" would be to use the Portable version instead, they work perfectly.

If you don't know how to get them, they are on the Official Download Page (ONLY for the current version). Previous versions of Blender are located here https://download.blender.org/release Choose your version and select to download the Portable version (.zip)

My GPU is a "Sapphire NITRO+ RX 590 AMD"

Hope this helps you guys... After multiple test downloads, I found that you get the GPU error when you download through the installer, a "fix" would be to use the Portable version instead, they work perfectly.

If you don't know how to get them, they are on the Official Download Page (ONLY for the current version). Previous versions of Blender are located here https://download.blender.org/release Choose your version and select to download the Portable version (.zip)

My GPU is a "Sapphire NITRO+ RX 590 AMD"

I just tried and, after more time "updating the device" than compiling the kernel, it actually worked. I always worked with the Steam version of Blender, giving me a indirect_background error, i don't know now what difference may have to the drivers a portable version rather than an installed version, but as a temporary fix this should definety be the best one.

Hope this helps you guys... After multiple test downloads, I found that you get the GPU error when you download through the installer, a "fix" would be to use the Portable version instead, they work perfectly.

If you don't know how to get them, they are on the Official Download Page (ONLY for the current version). Previous versions of Blender are located here https://download.blender.org/release Choose your version and select to download the Portable version (.zip)

My GPU is a "Sapphire NITRO+ RX 590 AMD"

Unfortunately, this did not help in my case. :(

AMD Radeon R9_390 Graphics

Unfortunately, this did not work for me either. I also tried Blender 2.93, the same error occured. I use 2 Radeon RX 580 GPUs and the dirver version is 21.3.1. The same thing is with 21.Q1.1 Pro drivers.

Hope this helps you guys... After multiple test downloads, I found that you get the GPU error when you download through the installer, a "fix" would be to use the Portable version instead, they work perfectly.

If you don't know how to get them, they are on the Official Download Page (ONLY for the current version). Previous versions of Blender are located here https://download.blender.org/release Choose your version and select to download the Portable version (.zip)

My GPU is a "Sapphire NITRO+ RX 590 AMD"

I just made account to thank you. It's working for me for now. I tried on latest AMD Drivers (21.4.1) on Aorus RX 580 8GB and it's working. I tested it with default cube and plane with some materials and it worked (normal version on steam crashed when I wanted to render with F12, it worked in viewport tho). I tried BMW render and pabellon_barcelona_v1.scene and it didn't crash. If it crashes again I will inform you here. Again, thank you so much.

Hello.
Now with Adrenalin 2020 Edition 21.2.2 driver 95% of the bugs has been fixed!
I tested the new driver with an Rx 470 4GB and it worked really well.
How to install it:
-Search on internet "Adrenalin 2020 Edition 21.2.2 driver" and download it.
-Until you install the new driver you have to download AMD Cleanup Utility (You have to delete all the files from current driver)
-Run AMD Cleanup Utility and delete your current driver.
-Install your new 21.2.2 Driver and restart your PC.
-Go in C:\Users\Caesar\AppData\Roaming\Blender Foundation\Blender
-Select your Blender Version ( 2.81 / 2.90 / 2.91) > cache > DELETE kernels folder

-Open Blender > Edit >Preferences > System > SELECT Open CL
-Go in Render and activate Cycles for GPU Compute
-Now your Blender will freeze until the kernels are loaded.
-Now press F12 to run a Render, your Blender will freeze again until the kernels are loaded.

So, that's it, maybe the kernels will load again sometimes, but will be faster.
I hope I helped you and you understand my English and the steps you followed.

It's working for me for now.

Hello.
Now with Adrenalin 2020 Edition 21.2.2 driver 95% of the bugs has been fixed!
I tested the new driver with an Rx 470 4GB and it worked really well.
How to install it:
-Search on internet "Adrenalin 2020 Edition 21.2.2 driver" and download it.
-Until you install the new driver you have to download AMD Cleanup Utility (You have to delete all the files from current driver)
-Run AMD Cleanup Utility and delete your current driver.
-Install your new 21.2.2 Driver and restart your PC.
-Go in C:\Users\Caesar\AppData\Roaming\Blender Foundation\Blender
-Select your Blender Version ( 2.81 / 2.90 / 2.91) > cache > DELETE kernels folder

-Open Blender > Edit >Preferences > System > SELECT Open CL
-Go in Render and activate Cycles for GPU Compute
-Now your Blender will freeze until the kernels are loaded.
-Now press F12 to run a Render, your Blender will freeze again until the kernels are loaded.

So, that's it, maybe the kernels will load again sometimes, but will be faster.
I hope I helped you and you understand my English and the steps you followed.

It's working for me for now.

Same problem with RX 6700 XT ... i try all stuff, don't work. Everytime freeze, or crash, or both. ...AMD driver 21.4.1

I think this might get solved with cycles x, as it is redoing everything from scratch. Even volumetrics as it seems to trigger some errors on amd as well. I am hoping at least...
CPU is working really fast on cycles x branch though so I am not even using the gpu now, until they make it compatible.

shitt, first time... from 10 years I bought AMD not nVidia :D and same time, problems. meh. last time :D I try with ProRender from AMD, that work. But work not good as well :D

I think this might get solved with cycles x, as it is redoing everything from scratch. Even volumetrics as it seems to trigger some errors on amd as well. I am hoping at least...
CPU is working really fast on Cycles X branch though, so I am not even using the gpu now, until they make it compatible.

yeah, I'm hoping that too.

The problem still on AMD Radeon 21.4.1

I also have the same problem with Blender 2.92, I have an RX 560 with Adrenalin 21.4.1 drivers. When I switch to OpenCL to render for cycles, it crashes in the viewport and gives the same error. But if I render it by pressing F12, it renders perfectly fine (although it takes so long for the kernels to load).

Edit: I tried using Blender 2.83 (portable zip version) and it worked for me! I switched back to Blender 2.92 and now it gave me the init error (different from first time)

The error is gone for me in Blender 3.0.0 (alpha) portable.
RX 480 with 21.4.1 Pro drivers.